Compiling against 0.5.1

Hi all

Just did a git pull on my local repo so I could compile against the new 0.5.1 firmware. I’m finding the build output is still showing -DSYSTEM_VERSION_STRING=0.5.0 suggesting that I’m still compiling against the 0.5.0 version. I notice the release notes mention compatibility with the new 5.3.1 gcc-arm, I think I’m still running 4.9, is this likely to be causing an issue?

Any help would be appreciated :slight_smile:

Some of the 0.5.1 changes are still only on the release/v0.5.1 branch. We’ll merge those back to develop shortly. Sorry for the confusion.

No worries, thought it might have been something like this. Cheers @jvanier!

1 Like